import 'package:json_annotation/json_annotation.dart';

part 'username.g.dart';


@JsonSerializable()
class ResetUserNameRequest {
  final String userName;

  const ResetUserNameRequest({
    required this.userName,
  });

  factory ResetUserNameRequest.fromJson(Map<String, dynamic> json) => _$ResetUserNameRequestFromJson(json);
  Map<String, dynamic> toJson() => _$ResetUserNameRequestToJson(this);

  static ResetUserNameRequest build({
    required String userName,
  }) => ResetUserNameRequest(userName: userName);
} 